2.7b1 broken (over and over again and again) on Seamonkey-2.22 Rated 1 out of 5 stars

I don't know how someone managed to have L-2.7b1 working on SM-2.22. For me (Gentoo build), it's utterly broken.

The <sarcasm>funny</sarcasm> thing is that, first, the add-on manager happily upgraded to L-2.6.2 which is marked as "Not available" for SM on the add-on page, so breakage #1. Then, having realized the trick, went on Developer Channel and tried L-2.7b1, breakage #2. So 200% failure, already 2 hours spent (user's voluntary free time, like in free hassle) and no other solution than resorting to Downgrade-It-All (TM) :-(

Sorry for being harsh, but getting Lightning to work stable on Seamonkey has become a nightmare.

This review is for a previous version of the add-on (2.6.2).  This user has a previous review of this add-on.